#
# spec file for package perl-ExtUtils-Helpers
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-ExtUtils-Helpers
Version:        0.026
Release:        1.24
%define cpan_name ExtUtils-Helpers
Summary:        Various portability utilities for module builders
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/ExtUtils-Helpers/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module provides various portable helper functions for module building
modules.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sat Sep 10 2016 coolo@suse.com
- updated to 0.026
  see /usr/share/doc/packages/perl-ExtUtils-Helpers/Changes
  0.026     2016-09-09 19:26:57+02:00 Europe/Amsterdam
  - Fix Win32 dependency
* Sat Sep  3 2016 coolo@suse.com
- updated to 0.025
  see /usr/share/doc/packages/perl-ExtUtils-Helpers/Changes
  0.025     2016-09-02 09:48:38+02:00 Europe/Amsterdam
  - Remove unconditional dependency on ExtUtils::PL2Bat
  0.024     2016-08-16 22:02:31+02:00 Europe/Amsterdam (TRIAL RELEASE)
  - Move pl2bat code to ExtUtils::PL2Bat
  0.023     2016-08-06 20:52:34+02:00 Europe/Amsterdam (TRIAL RELEASE)
  - Make split_like_shell always unixy
  - Remove Module::Load dependency
  - Remove done_testing, it requires Test::More 0.88
* Sat Jul 26 2014 dimstar@opensuse.org
- Use build conditionals as wanted:
  + Use build conditional 'with/without test'.
  + due to the usage of bcond_without, the DEFAULT is to enable
    tests.
  + To skip the tests, one can use "osc build --without test".
* Fri Jul 18 2014 chris@computersalat.de
- fix build for SLE 11
  * Test::More >= 0.88
- fix deps
* Mon Mar 17 2014 coolo@suse.com
- updated to 0.022
    Cleaned up remains of former functions
    Skip IO layers on <5.8 for 5.6 compatability
    Don't swallow pl2bat exceptions
* Wed Jun  5 2013 coolo@suse.com
- initial package 0.021
  * created by cpanspec 1.78.06
